package com.zipcodewilmington.phonebook;

import org.junit.Assert;
import org.junit.Test;

import java.util.TreeMap;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBookTest {


    @Test
    public void testHasEntry() {
        //Given
        TreeMap ph = new TreeMap();
        String name = "AA";
        String phoneNumber = "2111112222";

        ph.put(name, phoneNumber);


    //When
    boolean actualOutput = ph.containsValue(phoneNumber);

    //Then
        Assert.assertTrue(actualOutput);
}


    @Test
    public void testAddEntry() {
        //Given
        TreeMap ph = new TreeMap();
        String name = "AA";
        String phoneNumber = "2111112222";

        ph.put(name, phoneNumber);
        Object expectedOutput = ph.put("AA", "2111112222");

        //When
        Object actualOutput = ph.put(name, phoneNumber);

        //Then
        Assert.assertEquals(actualOutput, expectedOutput);
    }


    @Test
    public void testLookupNumber() {
        //Given
        TreeMap ph = new TreeMap();
        String name = "AA";
        String phoneNumber = "2111112222";

        ph.put(name, phoneNumber);
        Object expectedOutput = ph.get(name);

        //When
        Object actualOutput = phoneNumber;

        //Then
        Assert.assertEquals(actualOutput, expectedOutput);

    }

    @Test
    public void testRemoveEntry() {
    }

    @Test
    public void testReversePhoneNumber() {
        //Given
        TreeMap ph = new TreeMap();
        String name = "AA";
        String phoneNumber = "2111112222";

        ph.put(name, phoneNumber);
        Object expectedOutput = ph.get(name);

        //When
        Object actualOutput = phoneNumber;

        //Then
        Assert.assertEquals(actualOutput, expectedOutput);
    }

    @Test
    public void listAll() {
    }
}
